Bug 5287 - FreeRadius refuses to start due to OpenSSL Mismatch.
: FreeRadius refuses to start due to OpenSSL Mismatch.
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-27 00:24 MSK by Zombie Ryushu
Modified: 2015-04-06 11:27 MSD (History)
4 users (show)

See Also:
RPM Package: freeradius
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2015-03-27 00:24:09 MSK
Output of radiusd -fX is:
libssl version mismatch.  Built with: 1000109f   Linked: 100010bf Please rebuild.
Comment 1 Zombie Ryushu 2015-03-27 00:26:56 MSK
Also it may be pudent to upgrade to the latest Stable version 2.2.6
Comment 2 Denis Silakov 2015-03-27 01:19:43 MSK
Advisory:
Updated FreeRadius to the latest stable version 2.2.6 which contains a set of bugfixes in comparison to version 2.2.3 which we currently have.

Build lists:
https://abf.io/build_lists/2476991
https://abf.io/build_lists/2476992
Comment 3 FirstLevel 2015-03-30 14:56:17 MSD
32bit

--old--
[root@r5-32 ~]# radiusd -fX 
libssl version mismatch.  Built with: 1000109f   Linked: 100010bf
[root@r5-32 ~]# 


install old, plug container, update - ok
plug container, install new - ok

--new--
[root@r5-32 ~]# radiusd -fX 
radiusd: FreeRADIUS Version 2.2.6, for host i586-unknown-linux-gnu, built on Mar 26 2015 at 21:06:34
Copyright (C) 1999-2013 The FreeRADIUS server project and contributors.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
You may redistribute copies of FreeRADIUS under the terms of the
GNU General Public License.
For more information about these matters, see the file named COPYRIGHT.
Starting - reading configuration files ...
including configuration file /etc/raddb/radiusd.conf
including configuration file /etc/raddb/proxy.conf
including configuration file /etc/raddb/clients.conf
including files in directory /etc/raddb/modules/
including configuration file /etc/raddb/modules/etc_group
including configuration file /etc/raddb/modules/counter
including configuration file /etc/raddb/modules/perl
including configuration file /etc/raddb/modules/opendirectory
including configuration file /etc/raddb/modules/dynamic_clients
including configuration file /etc/raddb/modules/chap
including configuration file /etc/raddb/modules/rediswho
including configuration file /etc/raddb/modules/attr_filter
including configuration file /etc/raddb/modules/otp
including configuration file /etc/raddb/modules/sradutmp
including configuration file /etc/raddb/modules/detail.example.com
including configuration file /etc/raddb/modules/soh
including configuration file /etc/raddb/modules/pam
including configuration file /etc/raddb/modules/cui
including configuration file /etc/raddb/modules/ldap
including configuration file /etc/raddb/modules/dhcp_sqlippool
including configuration file /etc/raddb/sql/mysql/ippool-dhcp.conf
including configuration file /etc/raddb/modules/checkval
including configuration file /etc/raddb/modules/mac2ip
including configuration file /etc/raddb/modules/digest
including configuration file /etc/raddb/modules/preprocess
including configuration file /etc/raddb/modules/ntlm_auth
including configuration file /etc/raddb/modules/exec
including configuration file /etc/raddb/modules/mschap
including configuration file /etc/raddb/modules/acct_unique
including configuration file /etc/raddb/modules/pap
including configuration file /etc/raddb/modules/linelog
including configuration file /etc/raddb/modules/detail.log
including configuration file /etc/raddb/modules/replicate
including configuration file /etc/raddb/modules/expr
including configuration file /etc/raddb/modules/realm
including configuration file /etc/raddb/modules/radutmp
including configuration file /etc/raddb/modules/mac2vlan
including configuration file /etc/raddb/modules/smbpasswd
including configuration file /etc/raddb/modules/echo
including configuration file /etc/raddb/modules/policy
including configuration file /etc/raddb/modules/always
including configuration file /etc/raddb/modules/inner-eap
including configuration file /etc/raddb/modules/logintime
including configuration file /etc/raddb/modules/expiration
including configuration file /etc/raddb/modules/radrelay
including configuration file /etc/raddb/modules/attr_rewrite
including configuration file /etc/raddb/modules/smsotp
including configuration file /etc/raddb/modules/sql_log
including configuration file /etc/raddb/modules/unix
including configuration file /etc/raddb/modules/ippool
including configuration file /etc/raddb/modules/files
including configuration file /etc/raddb/modules/redis
including configuration file /etc/raddb/modules/sqlcounter_expire_on_login
including configuration file /etc/raddb/modules/detail
including configuration file /etc/raddb/modules/passwd
including configuration file /etc/raddb/modules/krb5
including configuration file /etc/raddb/modules/wimax
including configuration file /etc/raddb/modules/cache
including configuration file /etc/raddb/eap.conf
WARNING: No such configuration item certdir
/etc/raddb/eap.conf[300]: Reference "${certdir}/bootstrap" not found
Errors reading or parsing /etc/raddb/radiusd.conf
[root@r5-32 ~]#
Comment 4 FirstLevel 2015-03-30 15:13:07 MSD
freeradius

64bit

--old--
[root@r5-64 ~]# radiusd -fX
libssl version mismatch.  Built with: 1000109f   Linked: 100010bf
[root@r5-64 ~]# 


install old, plug container, update - 
plug container, install new - ok

--new--


[root@r5-64 ~]# radiusd -fX
radiusd: FreeRADIUS Version 2.2.6, for host x86_64-unknown-linux-gnu, built on Mar 26 2015 at 21:06:46
Copyright (C) 1999-2013 The FreeRADIUS server project and contributors.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
You may redistribute copies of FreeRADIUS under the terms of the
GNU General Public License.
For more information about these matters, see the file named COPYRIGHT.
Starting - reading configuration files ...
including configuration file /etc/raddb/radiusd.conf
including configuration file /etc/raddb/proxy.conf
including configuration file /etc/raddb/clients.conf
including files in directory /etc/raddb/modules/
including configuration file /etc/raddb/modules/sradutmp
including configuration file /etc/raddb/modules/replicate
including configuration file /etc/raddb/modules/wimax
including configuration file /etc/raddb/modules/attr_rewrite
including configuration file /etc/raddb/modules/krb5
including configuration file /etc/raddb/modules/mac2vlan
including configuration file /etc/raddb/modules/detail.log
including configuration file /etc/raddb/modules/redis
including configuration file /etc/raddb/modules/expiration
including configuration file /etc/raddb/modules/dhcp_sqlippool
including configuration file /etc/raddb/sql/mysql/ippool-dhcp.conf
including configuration file /etc/raddb/modules/exec
including configuration file /etc/raddb/modules/pam
including configuration file /etc/raddb/modules/cache
including configuration file /etc/raddb/modules/preprocess
including configuration file /etc/raddb/modules/detail.example.com
including configuration file /etc/raddb/modules/mschap
including configuration file /etc/raddb/modules/sql_log
including configuration file /etc/raddb/modules/smsotp
including configuration file /etc/raddb/modules/digest
including configuration file /etc/raddb/modules/realm
including configuration file /etc/raddb/modules/unix
including configuration file /etc/raddb/modules/chap
including configuration file /etc/raddb/modules/counter
including configuration file /etc/raddb/modules/echo
including configuration file /etc/raddb/modules/attr_filter
including configuration file /etc/raddb/modules/always
including configuration file /etc/raddb/modules/policy
including configuration file /etc/raddb/modules/etc_group
including configuration file /etc/raddb/modules/files
including configuration file /etc/raddb/modules/radrelay
including configuration file /etc/raddb/modules/checkval
including configuration file /etc/raddb/modules/pap
including configuration file /etc/raddb/modules/opendirectory
including configuration file /etc/raddb/modules/soh
including configuration file /etc/raddb/modules/ntlm_auth
including configuration file /etc/raddb/modules/rediswho
including configuration file /etc/raddb/modules/smbpasswd
including configuration file /etc/raddb/modules/perl
including configuration file /etc/raddb/modules/detail
including configuration file /etc/raddb/modules/mac2ip
including configuration file /etc/raddb/modules/acct_unique
including configuration file /etc/raddb/modules/dynamic_clients
including configuration file /etc/raddb/modules/logintime
including configuration file /etc/raddb/modules/radutmp
including configuration file /etc/raddb/modules/otp
including configuration file /etc/raddb/modules/ippool
including configuration file /etc/raddb/modules/linelog
including configuration file /etc/raddb/modules/ldap
including configuration file /etc/raddb/modules/expr
including configuration file /etc/raddb/modules/cui
including configuration file /etc/raddb/modules/sqlcounter_expire_on_login
including configuration file /etc/raddb/modules/passwd
including configuration file /etc/raddb/modules/inner-eap
including configuration file /etc/raddb/eap.conf
WARNING: No such configuration item certdir
/etc/raddb/eap.conf[300]: Reference "${certdir}/bootstrap" not found
Errors reading or parsing /etc/raddb/radiusd.conf
[root@r5-64 ~]#
Comment 5 Zombie Ryushu 2015-03-30 19:39:36 MSD
I got this error too. You need to generate specific OpenSSL certificates in /etc/pki/tls for this to work. There's nothing wrong building or linking wise. Its a Configuration problem pointing to non-existent certificates.
Comment 6 Vladimir Potapov 2015-03-31 12:10:42 MSD
The update is sent to expanded testing
**************************************
Comment 7 Vladimir Potapov 2015-04-06 11:13:20 MSD
freeradius-2.2.6-1
https://abf.io/build_lists/2476991
https://abf.io/build_lists/2476992
***************************** Advisory ********************************
Updated FreeRadius to the latest stable version 2.2.6 which contains a set of bugfixes in comparison to version 2.2.3 which we currently have.
***********************************************************************
QA Verified